Bug 836751 - PackageKit doesn't report download progress
PackageKit doesn't report download progress
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-30 18:32 EDT by Andre Cunha
Modified: 2013-12-10 12:55 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-10 11:56:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Cunha 2012-06-30 18:32:21 EDT
Description of problem:

I use Apper as a frontend to PackageKit, which in turn uses the yum backend. I've noticed that Apper 0.7.2 doesn't show the download progress correctly: when the download starts, the progress bar on the top of the screen stops (in my computer, at 10%), and the area below it that should show the individual download progress remains empty; the download continues, and only when it's finished Apper starts to report the individual installation progress and to update the general progress bar correctly. The packages are installed correctly.

I've reported the bug in the KDE Bugtracking System (https://bugs.kde.org). Apper's developer said that the mechanism to show package progress is the same for all kinds of status (download, installation and cleaning), and since it works for installation and cleaning, the problem is in the PackageKit yum backend, rather than in Apper, so I'm reporting it here.

Version-Release number of selected component (if applicable):

0.7.4-4

How reproducible:
Always.

Steps to Reproduce:
1. Run Apper.
2. Select some packages for installation.
3. Click the "Apply" button.
  
Actual results:
The individual download status for each package isn't shown, but the installation and cleaning ones are.

Expected results:
The download progress should be reported for each package while it's being downloaded.
Comment 1 Rex Dieter 2012-06-30 19:50:47 EDT
This is disabled on purpose, since the PackageKit-yum backend time estimation isn't very good (apparently, I don't know the full history behind it, only that fedora carries a patch for it).

Feel free to enable it yourself, set in /etc/PackageKit/PackageKit.conf
UseRemainingTimeEstimation=true
Comment 2 Andre Cunha 2012-06-30 20:32:53 EDT
I've searched the Web, and found that the spec file for PackageKit 0.7.4 in Fedora 17 has these lines:

# Fedora specific: the yum backend doesn't do time estimation correctly
Patch1:    PackageKit-0.4.4-Fedora-turn-off-time.conf.patch

The mentioned patch disables the time estimation in /etc/PackageKit/PackageKit.conf:

 # enough and will not be set at the very start or end of a transaction.
 #
 # default=true
-UseRemainingTimeEstimation=true
+UseRemainingTimeEstimation=false

So it really seems that the yum backend doesn't do remaining time estimation correctly. I hope this be fixed in future releases. Thank you very much for your help!
Comment 3 Greta Watson 2012-11-24 13:02:55 EST
Was the original request to show the files as they are being downloaded?  That is what I would like to see.  For example:

           ...
    downloaded <whatever package>
    downloading <whatever is currently being downloaded>

This is being done during the update and clean up phases, but not during the download phase.

If yum is done from the command line, then the files are listed as they are being downloaded, as they are being installed or updated, and as they are being cleaned up.
Comment 4 Andre Cunha 2012-11-24 13:19:34 EST
(In reply to comment #3)
> Was the original request to show the files as they are being downloaded? 
> That is what I would like to see.  For example:
> 
>            ...
>     downloaded <whatever package>
>     downloading <whatever is currently being downloaded>
> 
> This is being done during the update and clean up phases, but not during the
> download phase.
> 
> If yum is done from the command line, then the files are listed as they are
> being downloaded, as they are being installed or updated, and as they are
> being cleaned up.

Exactly! This was precisely what I meant. I believe it would be good to visualize, if it is possible, the individual progress also in the download phase.
Comment 5 Fedora End Of Life 2013-07-03 18:41:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Richard Hughes 2013-12-10 11:56:36 EST
For Fedora 21 we've switched to the hawkey backend, and that performs much better with time and percentage updates working well.
Comment 7 Andre Cunha 2013-12-10 12:55:31 EST
(In reply to Richard Hughes from comment #6)
> For Fedora 21 we've switched to the hawkey backend, and that performs much
> better with time and percentage updates working well.

Excellent! Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.